hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lars Hofhansl (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-11247) [0.94] update maven-site-plugin to 3.3
Date Sat, 24 May 2014 04:48:01 GMT

    [ https://issues.apache.org/jira/browse/HBASE-11247?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14008015#comment-14008015
] 

Lars Hofhansl commented on HBASE-11247:
---------------------------------------

This is how it fails with 3.2:
<code>
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-site-plugin:3.2:site (default-site)
on project hbase: Execution default-site of goal org.apache.maven.plugins:maven-site-plugin:3.2:site
failed: A required class was missing while executing org.apache.maven.plugins:maven-site-plugin:3.2:site:
org/sonatype/aether/graph/DependencyFilter
<code>

Apparently that is known issue fixed in 3.3.

> [0.94] update maven-site-plugin to 3.3
> --------------------------------------
>
>                 Key: HBASE-11247
>                 URL: https://issues.apache.org/jira/browse/HBASE-11247
>             Project: HBase
>          Issue Type: Bug
>          Components: build, site
>            Reporter: Lars Hofhansl
>            Assignee: Lars Hofhansl
>             Fix For: 0.94.20
>
>         Attachments: 11247.txt
>
>
> With maven version 3.1 or newer the site target fails unless the site plugin is updated
to 3.3.
> 0.98 and master have this already, this updates the site plugin from 3.2 to 3.3.
> Verified on my machine with maven 3.1.1. 



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message